com.icesoft.faces.facelets.component.tabs

## Class Tab

- java.lang.Object
- - com.icesoft.faces.facelets.component.tabs.Tab

- All Implemented Interfaces:
    java.io.Serializable

      public class Tab
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `actionListener`
    `protected boolean` | `closed`
    `protected java.lang.String` | `contentPath`
    `protected java.lang.String` | `id`
    `protected java.lang.String` | `title`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tab(java.lang.String id, java.lang.String title, java.lang.String contentPath)`
    `Tab(java.lang.String id, java.lang.String title, java.lang.String contentPath, java.lang.String actionListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionListenerHandler(javax.faces.event.ActionEvent evt)`
    `java.lang.String` | `getActionListener()`
    `java.lang.String` | `getContentPath()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isClosed()`
    `void` | `setClosed(boolean closed)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected java.lang.String id

    - #### title

          protected java.lang.String title

    - #### contentPath

          protected java.lang.String contentPath

    - #### closed

          protected boolean closed

    - #### actionListener

          protected java.lang.String actionListener

  - ### Constructor Detail

    - #### Tab

          public Tab(java.lang.String id,
                     java.lang.String title,
                     java.lang.String contentPath)

    - #### Tab

          public Tab(java.lang.String id,
                     java.lang.String title,
                     java.lang.String contentPath,
                     java.lang.String actionListener)

  - ### Method Detail

    - #### getActionListener

          public java.lang.String getActionListener()

    - #### isClosed

          public boolean isClosed()

    - #### setClosed

          public void setClosed(boolean closed)

    - #### getId

          public java.lang.String getId()

    - #### getTitle

          public java.lang.String getTitle()

    - #### getContentPath

          public java.lang.String getContentPath()

    - #### actionListenerHandler

          public void actionListenerHandler(javax.faces.event.ActionEvent evt)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.